View Issue Details

IDProjectCategoryView StatusLast Update
0002148Ham Radio DeluxeBugpublic2017-08-05 18:27
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version1703
Product Version6.4.0.664 
Target VersionFixed in Version6.4.0.671 
Summary0002148: Logbook: exporting data is extremely slow
DescriptionI have a Logbook database with about 62,00 elements in it. Exporting the logbook in any format takes a very long time; there's no reason it should be so slow.
Steps To Reproduce1) Start logbook
2) Open my database
3) Export to CSV.

BUG#1) Exporting 62,000 records takes more than four minutes. 250 records per second is unacceptably slow performance.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleData
Testing Beta Successful

Relationships

Activities

K7ZCZ

2017-07-21 15:56

viewer   ~0003709

Fixed with this change set.
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3663

g3ucq

2017-07-29 03:47

viewer   ~0003771

My log database contains 8,000 entries and it was exported in 16 seconds to a .adif file.
That is fine with me.

w4ase

2017-07-29 16:51

viewer   ~0003777

I have 22000 entries and have never had a "slow" problem with logbook exports. Just exported in 667 and still seems very fast to me?

WA9PIE

2017-08-02 14:32

administrator   ~0003839

The export is noticeably faster.

WA9PIE

2017-08-05 18:13

administrator   ~0003906

All completed during the 670 build/release.

Issue History

Date Modified Username Field Change
2017-07-21 00:49 K7ZCZ New Issue
2017-07-21 15:56 K7ZCZ Assigned To => K7ZCZ
2017-07-21 15:56 K7ZCZ Status new => resolved
2017-07-21 15:56 K7ZCZ Resolution open => fixed
2017-07-21 15:56 K7ZCZ Note Added: 0003709
2017-07-27 17:56 K7ZCZ Fixed in Version => 6.4.0.667
2017-07-29 03:47 g3ucq Note Added: 0003771
2017-07-29 16:51 w4ase Note Added: 0003777
2017-08-02 14:32 WA9PIE Description Updated View Revisions
2017-08-02 14:32 WA9PIE Steps to Reproduce Updated View Revisions
2017-08-02 14:32 WA9PIE Testing Not Started => Beta Successful
2017-08-02 14:32 WA9PIE Note Added: 0003839
2017-08-05 18:09 WA9PIE Fixed in Version 6.4.0.667 => 6.4.0.670
2017-08-05 18:10 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-08-05 18:13 WA9PIE Note Added: 0003906
2017-08-05 18:13 WA9PIE Status resolved => closed
2017-08-05 18:27 WA9PIE Fixed in Version 6.4.0.670 => 6.4.0.671